#
# Conditional build:
%bcond_with	tests	# unit tests (not included in pypi release)
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	Python 2 interface to pkg-config
Summary(pl.UTF-8):	Interfejs Pythona 2 do narzędzia pkg-config
Name:		python-pkgconfig
# keep 1.5.2 here for python2 support
# (oficial support dropped in 1.5.4, but 1.5.3 has syntax errors under python2)
Version:	1.5.2
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pkgconfig/
Source0:	https://files.pythonhosted.org/packages/source/p/pkgconfig/pkgconfig-%{version}.tar.gz
# Source0-md5:	0d889edf670b644bfeaa3bb9444169cb
URL:		https://github.com/matze/pkgconfig
%if %{with python2}
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-pytest >= 3.8.2
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.3
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-pytest >= 3.8.2
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pkgconfig is a Python module to interface with the pkg-config command
line tool.

%description -l pl.UTF-8
pkgconfig to moduł Pythona do współpracy z narzędziem linii poleceń
pkg-config.

%package -n python3-pkgconfig
Summary:	Python 3 interface to pkg-config
Summary(pl.UTF-8):	Interfejs Pythona 3 do narzędzia pkg-config
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-pkgconfig
pkgconfig is a Python module to interface with the pkg-config command
line tool.

%description -n python3-pkgconfig -l pl.UTF-8
pkgconfig to moduł Pythona do współpracy z narzędziem linii poleceń
pkg-config.

%prep
%setup -q -n pkgconfig-%{version}

%build
%if %{with python2}
%py_build

%{?with_tests:%{__python} -m pytest test_pkgconfig.py}
%endif

%if %{with python3}
%py3_build

%{?with_tests:%{__python3} -m pytest test_pkgconfig.py}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/pkgconfig
%{py_sitescriptdir}/pkgconfig-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pkgconfig
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/pkgconfig
%{py3_sitescriptdir}/pkgconfig-%{version}-py*.egg-info
%endif
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pkgconfig.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c132177
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 125b169
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> dddf9fa
- rebuild with python 3.10

* Thu Mar 24 2022 Jakub Bogusz <qboosh@pld-linux.org> d54e369
- updated to 1.5.2 (the last working with python2)

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> a995004
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> b1e5aa6
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Oct 20 2019 Jakub Bogusz <qboosh@pld-linux.org> 1828b13
- updated to 1.5.1

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 96b2f7b
- release 2 (by relup.sh)

* Fri Apr 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 7887940
- better tests description

* Fri Apr 21 2017 Jakub Bogusz <qboosh@pld-linux.org> 1d1c7ca
- new

